Subject: Re: BUG: unable to handle kernel paging request at 00000000d8be176d

From: Fengguang Wu <[email-masked]>
Date: Fri, 6 Jul 2012 15:52:45 +0800

On Fri, Jul 06, 2012 at 03:37:45PM +0800, Fengguang Wu wrote:
> Hi David,
> 
> > Fengguang Wu can I ask you politely not to quote the quilty patch in
> > it's entirety when reporting bugs?  That screws up my workflow because
> > that patch goes then gets installed as a new patch in patchwork and I
> > have to therefore tick it off every time you report a bug.
> 
> Sorry for that!  Is it fine to _attach_ the referenced patch, or just
> a raw diff?  Or, the commit SHA and subject are all you want to see?

I used git-format-patch which makes a formal patch. How about git-show?
The output will be less like a formal patch, for example:

:       commit c5fb75aafab2fe31353b96cf556c1a689f8ac7e9
:       Author: Fengguang Wu <[email-masked]>
:       Date:   Thu Jun 14 22:36:29 2012 +0800

:           pms: fix build error in pms_probe()
:           
:           drivers/media/video/pms.c: In function ‘pms_probe’:
:           drivers/media/video/pms.c:1047:2: error: implicit declaration of function ‘kzalloc’ [-Werror=implicit-function-declaration]
:           drivers/media/video/pms.c:1047:6: warning: assignment makes pointer from integer without a cast [enabled by default]
:           drivers/media/video/pms.c:1116:2: error: implicit declaration of function ‘kfree’ [-Werror=implicit-function-declaration]
:           
:           Signed-off-by: Fengguang Wu <[email-masked]>

:       diff --git a/drivers/media/video/pms.c b/drivers/media/video/pms.c
:       index af2d908..77f9c92 100644
:       --- a/drivers/media/video/pms.c
:       +++ b/drivers/media/video/pms.c
:       @@ -26,6 +26,7 @@
:        #include <linux/fs.h>
:        #include <linux/kernel.h>
:        #include <linux/mm.h>
:       +#include <linux/slab.h>
:        #include <linux/ioport.h>
:        #include <linux/init.h>
:        #include <linux/mutex.h>

Thanks,
Fengguang